Bug 124438 - computer hangs when running opengl application on intel 845G graphics card
Summary: computer hangs when running opengl application on intel 845G graphics card
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
(Show other bugs)
Version: 2
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-05-26 15:59 UTC by Jirka Jurek
Modified: 2015-01-04 22:06 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 06:01:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log on kernel-2.6.5-1.358 (53.51 KB, text/plain)
2004-05-26 16:01 UTC, Jirka Jurek
no flags Details
Xorg.0.log on kernel-2.6.6-1.383 (57.94 KB, text/plain)
2004-05-26 16:01 UTC, Jirka Jurek
no flags Details
dmesg output on kernel-2.6.5-1.358 (11.25 KB, text/plain)
2004-05-26 16:02 UTC, Jirka Jurek
no flags Details
dmesg output on kernel-2.6.6-1.383 (10.84 KB, text/plain)
2004-05-26 16:03 UTC, Jirka Jurek
no flags Details

Description Jirka Jurek 2004-05-26 15:59:32 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
My computer hangs, when i try to open any opengl window in X.
There are no problems with original kernel-2.6.5-1.358. It only hangs
on updated kernel-2.6.6-1.383.
My motherboard is gigabyte GA-8GEM667 with integrated intel 82845G/GL
graphics card and celeron 2.4GHz processor.


Version-Release number of selected component (if applicable):
kernel-2.6.6-1.383

How reproducible:
Always

Steps to Reproduce:
1.run glxgears
2.
3.
    

Actual Results:  Computer hangs completely, only network device
responds on ping request.

Additional info:

# diff Xorg.0.log_2.6.5-1.358 Xorg.0.log_2.6.6-1.383
...
< (II) I810(0): [drm] dma control initialized, using IRQ 12
---
> (II) I810(0): [drm] dma control initialized, using IRQ -1007
...

Comment 1 Jirka Jurek 2004-05-26 16:01:15 UTC
Created attachment 100592 [details]
Xorg.0.log on kernel-2.6.5-1.358

Comment 2 Jirka Jurek 2004-05-26 16:01:45 UTC
Created attachment 100593 [details]
Xorg.0.log on kernel-2.6.6-1.383

Comment 3 Jirka Jurek 2004-05-26 16:02:33 UTC
Created attachment 100594 [details]
dmesg output on kernel-2.6.5-1.358

Comment 4 Jirka Jurek 2004-05-26 16:03:00 UTC
Created attachment 100595 [details]
dmesg output on kernel-2.6.6-1.383

Comment 5 Arjan van de Ven 2004-05-29 08:50:48 UTC
ok found it; will be fixed in the next build (398 or later)

Comment 6 Jirka Jurek 2004-06-02 07:49:33 UTC
It works again with 2.6.6-1.406, tho there still remains minor issue
with wrong IRQ reporting in xorg.0.log (xorg-x11-6.7.0-3):

(II) I810(0): [drm] dma control initialized, using IRQ -1007

which used to work with original kernel and xorg.


Comment 7 Jirka Jurek 2004-11-25 09:15:46 UTC
The "using IRQ" minor issue works again in kernel-2.6.9-1.681_FC3 and
xorg-x11-6.8.1-12.FC3.1
So i guess, it is ok to close this bug.

Comment 8 Dave Jones 2005-04-16 06:01:13 UTC
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.



Note You need to log in before you can comment on or make changes to this bug.